Bug 970269 - errata sync fails for some repos
Summary: errata sync fails for some repos
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Pulp
Classification: Retired
Component: rpm-support (Show other bugs)
(Show other bugs)
Version: Master
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
: 2.2.0
Assignee: Michael Hrivnak
QA Contact: Preethi Thomas
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-03 20:35 UTC by Michael Hrivnak
Modified: 2013-09-10 15:43 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-10 15:43:09 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michael Hrivnak 2013-06-03 20:35:00 UTC
Errata sync is failing for some repos, such as a rhel6 repo, because the "id" field of an errata's "reference" sub-objects sometimes doesn't exist. As usual, this isn't documented anywhere. I already have a fix that makes this attribute optional at sync time.

Comment 1 Michael Hrivnak 2013-06-04 13:11:45 UTC
https://github.com/pulp/pulp_rpm/pull/217

Comment 2 Jeff Ortel 2013-06-06 16:19:57 UTC
build: 2.2.0-0.2.beta.

Some of these were likely included in an earlier build but found them this time with a better BZ query.

Comment 3 Preethi Thomas 2013-06-06 18:43:35 UTC
verified
[root@hp-dl360g6-01 ~]# rpm -q pulp-server
pulp-server-2.2.0-0.2.beta.fc18.noarch
[root@hp-dl360g6-01 ~]# 

[root@hp-dl360g6-01 ~]# pulp-admin repo list
+----------------------------------------------------------------------+
                              Repositories
+----------------------------------------------------------------------+



Id:                  rhel6-2
Display Name:        rhel6-2
Description:         None
Content Unit Counts: 
  Rpm: 7281


[root@hp-dl360g6-01 ~]# pulp-admin rpm repo sync run --repo-id rhel6-2
+----------------------------------------------------------------------+
                   Synchronizing Repository [rhel6-2]
+----------------------------------------------------------------------+

This command may be exited by pressing ctrl+c without affecting the actual
operation on the server.

Downloading metadata...
[|]
... completed

Downloading repository content...
[==================================================] 100%
RPMs:       0/0 items
Delta RPMs: 0/0 items

... completed

Downloading distribution files...
[==================================================] 100%
Distributions: 0/0 items
... completed

Importing errata...
[\]
... completed

Importing package groups/categories...
[|]
... completed

Publishing packages...
[==================================================] 100%
Packages: 3594/3594 items
... completed

Publishing distributions...
[==================================================] 100%
Distributions: 0/0 items
... completed

Generating metadata
[|]
... completed

Publishing repository over HTTPS
[-]
... completed

[root@hp-dl360g6-01 ~]# pulp-admin rpm repo list
+----------------------------------------------------------------------+
                            RPM Repositories
+----------------------------------------------------------------------+


Id:                  rhel6-2
Display Name:        rhel6-2
Description:         None
Content Unit Counts: 
  Erratum:          1048
  Package Category: 10
  Package Group:    202
  Rpm:              3594

Comment 4 Preethi Thomas 2013-09-10 15:43:09 UTC
2.2 released
http://repos.fedorapeople.org/repos/pulp/pulp/stable/2.2/


Note You need to log in before you can comment on or make changes to this bug.